myfaces-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dan Tran (JIRA)" <...@myfaces.apache.org>
Subject [jira] Created: (ORCHESTRA-1) Use servlet 2.4
Date Sat, 11 Aug 2007 00:11:42 GMT
Use servlet 2.4
---------------

                 Key: ORCHESTRA-1
                 URL: https://issues.apache.org/jira/browse/ORCHESTRA-1
             Project: MyFaces Orchestra
          Issue Type: Bug
    Affects Versions: 1.0-SNAPSHOT
         Environment: xp, spring 2.0.6, jsf-1.2 ri
            Reporter: Dan Tran


the current orchestra fails to start my app with 2.4 container.  

Please change the poms to use servlet 2.4 and add this changes

--- core/src/main/java/org/apache/myfaces/orchestra/requestParameterProvider/RequestParameterResponseWrapper.java
(revision 562289)
+++ core/src/main/java/org/apache/myfaces/orchestra/requestParameterProvider/RequestParameterResponseWrapper.java
(working copy)
@@ -187,7 +187,7 @@
 	{
 		this.original.setContentType(string);
 	}
-
+	
 	public void setBufferSize(int i)
 	{
 		this.original.setBufferSize(i);
@@ -227,4 +227,18 @@
 	{
 		return this.original.getLocale();
 	}
+	
+	public String getContentType()
+	{
+		return this.original.getContentType();
+	}
+	
+	public void setCharacterEncoding( String encoding ) 
+	{
+		this.original.setCharacterEncoding(encoding);
+	}

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message